> ## Documentation Index
> Fetch the complete documentation index at: https://docs.adsera.in/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a Deal

> One deal by id.



## OpenAPI

````yaml GET /api/pub/crm/deals/{id}
openapi: 3.1.0
info:
  title: AdsEra REST API
  description: >-
    Welcome to the AdsEra REST API. Use our API to integrate powerful,
    multi-channel communication (Email and WhatsApp) directly into your
    applications. Automate transactional messages, trigger marketing campaigns,
    manage your audience, and track performance programmatically.
  contact:
    name: Shubham
    email: shubham@adsera.in
  version: 1.0.0
servers:
  - url: https://app.adsera.in
    description: Production Server
security:
  - AppIdAuth: []
    AppSecretAuth: []
paths:
  /api/pub/crm/deals/{id}:
    get:
      tags:
        - 'CRM: Deals'
      summary: Get a Deal
      description: One deal by id.
      operationId: crmGetDeal
      parameters:
        - name: id
          in: path
          required: true
          description: Deal id.
          schema:
            type: string
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    example: true
                  data:
                    $ref: '#/components/schemas/CrmDeal'
        '401':
          $ref: '#/components/responses/Unauthorized'
        '404':
          description: Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CrmError'
        '429':
          description: >-
            Rate limit: 120 requests a minute per app. See the Retry-After
            header.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CrmError'
components:
  schemas:
    CrmDeal:
      type: object
      properties:
        _id:
          type: string
          example: 6650f1c2a1b2c3d4e5f60718
        title:
          type: string
        description:
          type: string
        pipeline:
          type: object
          properties:
            _id:
              type: string
              example: 6650f1c2a1b2c3d4e5f60718
            name:
              type: string
        stage:
          type: string
          example: Qualified
        contact:
          type: object
          properties:
            _id:
              type: string
              example: 6650f1c2a1b2c3d4e5f60718
            phone:
              type: string
            email:
              type: string
        total:
          type: number
          example: 25000
        currency:
          type: string
          example: INR
        closeDate:
          type: string
          format: date-time
        isWon:
          type: boolean
        isLost:
          type: boolean
        owner:
          type: object
          properties:
            _id:
              type: string
              example: 6650f1c2a1b2c3d4e5f60718
            firstName:
              type: string
            lastName:
              type: string
            email:
              type: string
        createdAt:
          type: string
          format: date-time
        updatedAt:
          type: string
          format: date-time
    CrmError:
      type: object
      properties:
        success:
          type: boolean
          example: false
        error:
          type: string
          example: Contact not found
    ErrorResponse:
      type: object
      properties:
        status:
          type: integer
          example: 500
        success:
          type: boolean
          example: false
        error:
          type: string
          example: Internal Server Error!
  responses:
    Unauthorized:
      description: Unauthorized. The API keys are missing or invalid.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
          example:
            status: 401
            success: false
            error: 'Unauthorized: Please provide valid API credentials.'
  securitySchemes:
    AppIdAuth:
      type: apiKey
      in: header
      name: x-api-key
      description: Your application's unique ID.
    AppSecretAuth:
      type: apiKey
      in: header
      name: x-api-secret
      description: Your application's secret key.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.